#### GraceMusic

Interpret the argument as grace notes.

Music types: grace-music, music-wrapper-music and general-music

Accepted by: Swallow_engraver and Swallow_performer

Properties:

`name` (symbol):
  `'GraceMusic`

  Name of this music object

`internal-class-name` (string):
  `Grace_music`

  C++ class to use for this Music object

`iterator-ctor` (procedure):
  `Grace_iterator::constructor`

  Function to construct music-event-iterator object for this Music

`types` (list):
  `'(grace-music music-wrapper-music general-music)`

  The types of this music object; determines by what engraver this music expression is processed.

Read comments on this page, or add one. This page is for LilyPond-2.2.2 (stable-branch).